Get trace context bundle
curl --request GET \
--url https://api.uselemma.ai/traces/{trace_id}/context \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.uselemma.ai/traces/{trace_id}/context"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.uselemma.ai/traces/{trace_id}/context', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"trace": {
"id": "<string>",
"project_id": "<string>",
"service_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"otel_trace_id": "<string>",
"ready": true
},
"stats": {},
"spans": [
{
"id": "<string>",
"otel_span_id": "<string>",
"parent_otel_span_id": "<string>",
"name": "<string>",
"kind": "<string>",
"start_time_ns": "<string>",
"end_time_ns": "<string>",
"duration_ms": 123,
"status_code": "<string>",
"status_description": "<string>",
"input_tokens": 123,
"output_tokens": 123,
"model_name": "<string>",
"tps": 123,
"attributes": {},
"events": "<unknown>"
}
],
"issue_occurrences": [
{
"id": "<string>",
"title": "<string>",
"rationale": "<string>",
"source_span_ids": [
"<string>"
],
"evidence_span_ids": [
"<string>"
],
"created_at": "<string>",
"trace_id": "<string>",
"issue_id": "<string>",
"citations": "<unknown>",
"issue": {
"id": "<string>",
"name": "<string>",
"status": "<string>",
"category": "<string>",
"agent_name": "<string>"
},
"issue_name": "<string>",
"issue_category": "<string>"
}
],
"issue_extraction": {
"issue_count": 123,
"occurrence_count": 123,
"completed_at": "2023-11-07T05:31:56Z",
"error_message": "<string>"
}
}{
"detail": "<string>"
}{
"detail": "<string>"
}Traces
Get trace context bundle
Returns the trace row, trace_stats row, ordered spans, and issue occurrences for chat/agent context.
GET
/
traces
/
{trace_id}
/
context
Get trace context bundle
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Trace ID.
Query Parameters
Project ID.
⌘I